<?xml version="1.0"?>
<openerp>
	<data>      

		<record model="ir.ui.view" id="view_skp_form_yearly_report_wizard">
            <field name="name">skp.form.yearly.report.wiz</field>
            <field name="model">skp.form.yearly.report</field>
            <field name="type">form</field>
            <field name="arch" type="xml">
                <form string="Rekapitulasi SKP Per Tahun" version="7.0">
					<group>
						<field name="period_year" class="oe_inline"/>

                        <field name="period_from_date" class="oe_inline"/>
                        <field name="period_to_date" class="oe_inline"/>
                        <field name="print_date" class="oe_inline"/>
                        <field name="accepted_date" class="oe_inline"/>
                        <field name="validate_date" class="oe_inline"/>
						<field name="user_id"  groups="base.group_no_one,df_project.group_project_evaluated_bkd" required="True" options="{'no_create': True,'no_open': True}"/>
                    </group>
                  <footer>
                    <div>
                        <button type="object" name="print_report" string="Simpan Laporan"  icon="gtk-go-down"      />        
						 or
						 <button special="cancel" string="Cancel" class="oe_link"/>
                    </div>
                </footer>
                </form>
            </field>
		</record>
        
       <record model="ir.actions.act_window" id="action_skp_form_yearly_report">
            <field name="name">Formulir Penilaian Prestasi Kerja</field>
            <field name="res_model">skp.form.yearly.report</field>
            <field name="type">ir.actions.act_window</field>
            <field name="view_type">form</field>
            <field name="view_mode">form</field>
            <field name="target">new</field>
            <field name="view_id" ref="view_skp_form_yearly_report_wizard"/>
        </record>
        

		
		
		<menuitem id="menu_kinerja_yearly" parent="df_skp_employee.menu_rekapitulasi" name="Laporan Kinerja Tahunan" sequence="10" groups="base.group_no_one"/>
		<menuitem action="action_skp_form_yearly_report" id="menu_skp_form_yearly_report" name="Formulir Penilaian Prestasi Kerja" 
		parent="menu_kinerja_yearly" sequence="1"  groups="df_project.group_project_user,df_project.group_project_evaluated_bkd"   />
		
		<!-- Definisikan Report -->
		<report 
            id="skp_form_yearly_report"
            string="Formulir Penilaian Prestasi Kerja"
            model="skp.employee.yearly"
            report_type="qweb-pdf" 
            file="df_skp_form_yearly_report.report_skp_form_yearly_report"
            name="df_skp_form_yearly_report.report_skp_form_yearly_report"
		
		/>
        </data>
</openerp>